Bug 1738348 - Newly released package does not install
Summary: Newly released package does not install
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-urllib3
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-06 21:49 UTC by Kevin L. Mitchell
Modified: 2019-10-03 09:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 22:39:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin L. Mitchell 2019-08-06 21:49:01 UTC
Description of problem:

Newly released python-urllib3 fails to install cleanly.

Version-Release number of selected component (if applicable):

1.10.2-7.el7

How reproducible:

100%

Steps to Reproduce:
1. Do a "yum update -y"
2. Watch it fail

Actual results:

Failure

Expected results:

Package installs cleanly

Additional info:

[root@xxx ~]# yum update
Loaded plugins: amazon-id, rhnplugin, rhui-lb, search-disabled-repos
This system is receiving updates from RHN Classic or Red Hat Satellite.
runner_gitlab-runner/x86_64/signature                    |  836 B     00:00     
runner_gitlab-runner/x86_64/signature                    | 1.0 kB     00:00 !!! 
runner_gitlab-runner-source/signature                    |  836 B     00:00     
runner_gitlab-runner-source/signature                    |  951 B     00:00 !!! 
Resolving Dependencies
--> Running transaction check
---> Package python-urllib3.noarch 0:1.10.2-5.el7 will be updated
---> Package python-urllib3.noarch 0:1.10.2-7.el7 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package         Arch    Version        Repository                         Size
================================================================================
Updating:
 python-urllib3  noarch  1.10.2-7.el7   rhui-REGION-rhel-server-releases  103 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 103 k
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
python-urllib3-1.10.2-7.el7.noarch.rpm                     | 103 kB   00:00     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : python-urllib3-1.10.2-7.el7.noarch                           1/2 
Error unpacking rpm package python-urllib3-1.10.2-7.el7.noarch
error: unpacking of archive failed on file /usr/lib/python2.7/site-packages/urllib3/packages/ssl_match_hostname: cpio: rename
  Verifying  : python-urllib3-1.10.2-7.el7.noarch                           1/2 
python-urllib3-1.10.2-5.el7.noarch was supposed to be removed but is not!
  Verifying  : python-urllib3-1.10.2-5.el7.noarch                           2/2 

Failed:
  python-urllib3.noarch 0:1.10.2-5.el7   python-urllib3.noarch 0:1.10.2-7.el7  

Complete!

Comment 1 Kevin L. Mitchell 2019-08-06 22:39:37 UTC
Found the issue.  We were trying to install the update on an AWS EC2 instance, where the base AMI we were using had had `pip install urllib3` done at some point.  The confusing error message did not point at the correct resolution to the problem, but one of the team found https://bugzilla.redhat.com/show_bug.cgi?id=1187057 on a Google search, and doing a `pip uninstall urllib3` resolved the problem for us.

Comment 2 Mike Anderson 2019-08-29 18:59:24 UTC
Thanks Kevin, that did the trick for us as well.

Comment 3 Jonathan N. Winters 2019-09-19 02:13:50 UTC
Confirmed the 
pip uninstall urllib3
followed by
yum update -y
completed the updates successfully.

Comment 4 markglasgow 2019-09-23 14:38:34 UTC
Running into the same issue

```
>> yum  install  python-urllib3
Resolving Dependencies
--> Running transaction check
---> Package python-urllib3.noarch 0:1.10.2-7.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================================================================================================================================================================================
 Package                                                                Arch                                                           Version                                                               Repository                                                    Size
================================================================================================================================================================================================================================================================================
Installing:
 python-urllib3                                                         noarch                                                         1.10.2-7.el7                                                          base                                                         103 k

Transaction Summary
================================================================================================================================================================================================================================================================================
Install  1 Package

Total download size: 103 k
Installed size: 380 k
Is this ok [y/d/N]: y
Downloading packages:
python-urllib3-1.10.2-7.el7.noarch.rpm                                                                                                                                                                                                                   | 103 kB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : python-urllib3-1.10.2-7.el7.noarch                                                                                                                                                                                                                           1/1
Error unpacking rpm package python-urllib3-1.10.2-7.el7.noarch
error: unpacking of archive failed on file /usr/lib/python2.7/site-packages/urllib3/packages/ssl_match_hostname: cpio: rename
  Verifying  : python-urllib3-1.10.2-7.el7.noarch                                                                                                                                                                                                                           1/1

Failed:
  python-urllib3.noarch 0:1.10.2-7.el7

Complete!
>> pip uninstall urllib3
WARNING: Skipping urllib3 as it is not installed.
```

Comment 5 markglasgow 2019-09-23 14:44:05 UTC
Fixed, had to manually remove the packages from /usr/lib/python2.7/site-packages and then yum install python-urllib3 worked

Comment 6 Balaji 2019-10-03 09:02:41 UTC
@Mark thanks its worked...:)


Note You need to log in before you can comment on or make changes to this bug.